Trigger Invoice Workflow Event
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/invoices/{invoiceId}/workflowEvents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '{
"Id": 123
}'import requests
url = "https://api.jtl-cloud.com/erp/v1/invoices/{invoiceId}/workflowEvents"
payload = { "Id": 123 }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Id: 123})
};
fetch('https://api.jtl-cloud.com/erp/v1/invoices/{invoiceId}/workflowEvents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Sales Invoice
Trigger Invoice Workflow Event
Trigger a specific workflow event for a given invoice
POST
/
v1
/
invoices
/
{invoiceId}
/
workflowEvents
Trigger Invoice Workflow Event
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the invoice for which the manual workflow event should be started.
Body
application/json
The workflow event.
Model Class: CreateWorkflowEvent
ID of the workflow event
Response
Was this page helpful?
⌘I